Subject: Re: bug#54919: Guix hangs near the end of ‘home’ operations

From: Ludovic Courtès <[email-masked]>
Date: Wed, 20 Apr 2022 17:23:34 +0200

Hi Brian,

Brian Cully <[email-masked]> skribis:

> 	During ‘home reconfigure’ after it says ‘Finished updating symlinks.’,
> guix hangs forever. Attempting to interrupt with ^C failed, and I had to
> force-close my ssh session.

I’ve experienced this hang too: it occurs while ‘guix system
reconfigure’ is running ‘herd load root …’ to reload the shepherd
services (so the upgrade did take place, as can be seen in ‘guix home
describe’, but shepherd services may not have been upgraded).

I believe this has to do with commit
22ab90146665ad4e624421f297dd284f00ebe6ce.

We can probably fix it by avoiding the use of ‘start-in-the-background’.

Ludo’.